import mock

from rpkglib import utils
from . import base

class TestCommands(base.TestCase):
    def setUp(self):
        super(TestCommands, self).setUp()

    def tearDown(self):
        super(TestCommands, self).tearDown()

    def test_get_changelog_entry(self):
        commit_message = 'first line %changelog\nsecond_line'
        changelog_entry = utils.get_changelog_entry(commit_message)
        assert changelog_entry == '- first line %%changelog'

        commit_message = 'first line %changelog'*10
        changelog_entry = utils.get_changelog_entry(commit_message)
        split_lines = changelog_entry.split()
        for line in split_lines:
            assert len(line) <= 80
